# $Revision: 1.14 $, $Date: 2002/09/20 17:05:25 $
Summary:	XMMS plugin for song lyrics displaying
Summary(pl):	Wtyczka do XMMS wywietlajca teksty piosenek
Name:		xmms-lyrics
Version:	cvs20000821
Release:	5
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-ac.patch
URL:		http://www.albedo.art.pl/~kbryd/plugin/
Requires:	xmms
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XMMS plugin for song lyrics displaying. It has built-in tool for
inserting time-tags into lyrics.

%description -l pl
Wtyczka do XMMS wywietlajca teksty piosenek. Ma wbudowane narzdzie
pozwalajce wstawia oznaczenia czasu do tekstw.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -rf missing
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure
%{__make} "EXTRA_CFLAGS=%{rpmcflags} -DLOCALEDIR=\\\"%{_datadir}/locale\\\""

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%attr(755,root,root) %{_libdir}/xmms/General/*so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-lyrics.spec,v $
Revision 1.14  2002/09/20 17:05:25  grzegol
- fixed building (ac.patch)
- more macros

Revision 1.13  2002/09/15 19:49:16  kloczek
- release 5: use new %doc.

Revision 1.12  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/09 14:01:34  juandon
- added patch
- typo in description
- now it is able to build
- Release 4

Revision 1.10  2002/02/25 07:55:22  marcus
-rel.3.

Revision 1.9  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/04 08:03:21  qboosh
- BuildRequires: autoconf,automake

Revision 1.5  2001/09/20 19:16:31  ankry
- updated URL

Revision 1.4  2000/11/03 09:17:03  kloczek
- release 2: use new rpm automation.

Revision 1.3  2000/08/21 14:48:23  kloczek
- adapterized.

Revision 1.2  2000/08/21 14:20:52  mkochano
- Updated to current CVS version.

Revision 1.1  2000/08/03 13:07:14  mkochano
- Written from scratch.
